/*
 *     Copyright (C) 2015 ASIP Santé
 */
package fr.asipsante.mss.clientcxfmss.spring;

import org.apache.cxf.interceptor.Fault;
import org.apache.cxf.message.Message;
import org.apache.cxf.phase.AbstractPhaseInterceptor;
import org.apache.cxf.phase.Phase;

/**
 * Code mis en place afin de faire fonctionner l'application avec l'encodage
 * utf-8 et ISO-8859-1
 */
public class EncodingInterceptor extends AbstractPhaseInterceptor<Message> {

    private String mssResponseEncoding;

    public EncodingInterceptor(String encoding) {
        super(Phase.RECEIVE);
        mssResponseEncoding = encoding;
    }

    @Override
    public void handleMessage(Message message) throws Fault {
        message.put(Message.ENCODING, mssResponseEncoding);

    }

}
